com.opensymphony.xwork2.util

## Class ProxyUtil

- java.lang.Object
- - com.opensymphony.xwork2.util.ProxyUtil

-     public class ProxyUtil
      extends Object

  `ProxyUtil`

  Various utility methods dealing with proxies

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isProxy(Object object)` Check whether the given object is a proxy.
    `static boolean` | `isProxyMember(Member member, Object object)` Check whether the given member is a proxy member of a proxy object or is a static proxy member.
    `static Class<?>` | `ultimateTargetClass(Object candidate)` Determine the ultimate target class of the given instance, traversing not only a top-level proxy but any number of nested proxies as well — as long as possible without side effects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyUtil

          public ProxyUtil()

  - ### Method Detail

    - #### ultimateTargetClass

          public static Class<?> ultimateTargetClass(Object candidate)

      Determine the ultimate target class of the given instance, traversing not only a top-level proxy but any number of nested proxies as well — as long as possible without side effects.
      Parameters:
        `candidate` - the instance to check (might be a proxy)
      Returns:
        the ultimate target class (or the plain class of the given object as fallback; never `null`)

    - #### isProxy

          public static boolean isProxy(Object object)

      Check whether the given object is a proxy.
      Parameters:
        `object` - the object to check

    - #### isProxyMember

          public static boolean isProxyMember(Member member,
                                              Object object)

      Check whether the given member is a proxy member of a proxy object or is a static proxy member.
      Parameters:
        `member` - the member to check
        `object` - the object to check

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.